Redmine - Patch #31327

Update CONTRIBUTING.md
2019-05-09 06:30 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 4.1.0

Description

| feel that the sentence "Do not send a pull request to this GitHub repository” in CONTRIBUTING.md (
source:tags/4.0.3/CONTRIBUTING.md) is a bit harsh. | want to soften the tone to reduce the psychological hurdle of contributing.

Here is my idea of new CONTRIBUTING.md. Feedbacks welcome.

Associated revisions

Revision 18151 - 2019-05-10 01:44 - Go MAEDA
Update CONTRIBUTING.md (#31327).

We should always be polite :-)

Revision 18155 - 2019-05-10 04:54 - Go MAEDA
Fix typo: s/web site/website/ (#31327).

History

#1 - 2019-05-09 11:39 - Bernhard Rohloff

You're absolutely right. Your wording sounds much more polite and also gives a sane reason for it.
#2 - 2019-05-09 11:47 - Go MAEDA
Bernhard Rohloff wrote:

You're absolutely right. Your wording sounds much more polite and also gives a sane reason for it.

Thank you for the feedback. | am not good at English, so please don't hesitate to point out any mistakes in grammar or wording.

#3 - 2019-05-09 12:58 - Jan from Planio www.plan.io
- File CONTRIBUTING.md added

| am for this change and I've reworded the 2nd sentence a bit. | think we can say that PRs might not even get reviewed at all without being impolite
here.

@@ -1,8 +1,8 @@

—-Please **open an issue on the [official website]** instead of sending pull-requests.

+Please **open an issue on the [official website]** instead of sending pull requests.

—Since the development of Redmine is conducted on not GitHub but the [official web site] and core developers r
arely see the repo on GitHub, it may take a longer time for pull-requests on GitHub to be reviewed.

+Since the development of Redmine is not conducted on GitHub but on the [official web site] and core developer

s are not monitoring the GitHub repo, pull requests might not get reviewed.

—-For more detail about how to contribute, please see the wiki page [Contribute] on the [official website].
+For more detail about how to contribute, please see the wiki page [Contribute] on the [official website].

[official website]: https://www.redmine.org
[Contribute]: https://www.redmine.org/projects/redmine/wiki/Contribute

I'm attaching my version. Should we also add Your contributions to Redmine are welcome! to the beginning? :-)

#4 - 2019-05-09 17:32 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/4.0.3/CONTRIBUTING.md

Jan from Planio www.plan.io wrote:

| am for this change and I've reworded the 2nd sentence a bit.

Thank you for fixing the sentence. It has become much better!

I'm attaching my version. Should we also add Your contributions to Redmine are welcome! to the beginning? :-)

Do you mean like the following? | like this idea.

Your contributions to Redmine are welcome!

Please **open an issue on the [official website]** instead of sending pull requests.

#5 - 2019-05-09 17:45 - Jan from Planio www.plan.io
| think that would be great, yes.

#6 - 2019-05-09 21:17 - Marius BALTEANU

Nice idea )

#7 - 2019-05-10 01:50 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the new CONTRIBUTING.md. Thanks.

Files

CONTRIBUTING.md 519 Bytes 2019-05-09 Go MAEDA
